/*
 * @Author: zhou lei
 * @Date: 2021-11-08 12:10:26
 * @LastEditTime: 2022-01-21 13:37:04
 * @LastEditors: zhou lei
 * @Description:
 * @FilePath: /wms_haiwai_app/src/main.ts
 * 联系方式:910592680@qq.com 18669792120
 */
import Vue from 'vue';
import uView from 'uview-ui';
import i18n from '@/i18n';
import store from '@/store';
import wait from '@/utils/wait';
import App from './App.vue';
import { Alerts } from '@/components/alert/alert';
import filters from '@/utils/filter';
import plugins from '@/plugins';
import wybTable from '@/plugins/wyb-table/wyb-table.vue';
import uniTable from '@/uni_modules/uni-table/components/uni-table/uni-table.vue';
import uniTd from '@/uni_modules/uni-table/components/uni-td/uni-td.vue';
import uniTh from '@/uni_modules/uni-table/components/uni-th/uni-th.vue';
import uniTr from '@/uni_modules/uni-table/components/uni-tr/uni-tr.vue';
import uniTbody from '@/uni_modules/uni-table/components/uni-tbody/uni-tbody.vue';
import uniThead from '@/uni_modules/uni-table/components/uni-thead/uni-thead.vue';
import uniDataSelect from '@/uni_modules/uni-data-select/components/uni-data-select/uni-data-select.vue';
import uniIcons from '@/uni_modules/uni-icons/components/uni-icons/uni-icons.vue';
import MyMixins from './utils/mixin';

Vue.config.productionTip = false;

// uViewUI
Vue.use(uView);
// 引入自定义警告组件，使 $confirm, $prompt 等方法在组件中可用
Vue.use(Alerts);
// 引入常用过滤器
Vue.use(filters);
// 引入插件组件
Vue.use(plugins);
Vue.mixin(MyMixins);

Vue.component('wyb-table', wybTable);
Vue.component('uni-table', uniTable);
Vue.component('uni-td', uniTd);
Vue.component('uni-th', uniTh);
Vue.component('uni-tr', uniTr);
Vue.component('uni-thead', uniThead);
Vue.component('uni-tbody', uniTbody);
Vue.component('uni-data-select', uniDataSelect);
Vue.component('uni-icons', uniIcons);
export default new App({
  i18n,
  store,
  wait,
}).$mount();
